<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <!--
 * Початкове значення лічильника 0
 * При натисканні на + збільшувати лічильник на 1
 * При натисканні на - зменшувати лічильник на 1
 *
 * ADVANCED: не давати можливості задавати лічильник менше 0
 *
 */-->
    <p id="counter">Counter: 0</p>
    <button id="decrement-btn">-</button>
    <button id="increment-btn">+</button>
    <script>
      const p = document.getElementById(`counter`);
      const minus = document.getElementById(`decrement-btn`);
      const plus = document.getElementById(`increment-btn`);

      plus.addEventListener(`click`, () => {
        let [text, counter] = p.innerText.split(' ');
        counter++;
        p.innerText = text + ` ` + counter;
      });

      minus.addEventListener(`click`, () => {
        let [text, counter] = p.innerText.split(' ');
        counter--;
        if (counter >= 0) {
          p.innerText = `${text} ${counter}`;
        }
      });
    </script>
  </body>
</html>
